#!/bin/bash

URL="http://dtdocs.ntp-systems.com/onlinehelp.asp?product=dtman&subject=dtlinux&version=5.2.b.20240922"

#
# Last update 26 Dec 2020
#

echo # blank line
echo "Starting web browser..."
echo # blank line

#
# There is no "standard" across distros, so check to see what
# web browser "launch an URL" command is available. The script
# will error out if no web browser is configured, or if run
# from an SSH command line. Feel free to re-arrange the order
# of tests if your preferred browser isn't chosen, or use
# help.html instead.
#

if type sensible-browser &>/dev/null; then
    sensible-browser $URL

elif type x-www-browser &>/dev/null; then
    x-www-browser $URL

elif type gnome-open &>/dev/null; then
    gnome-open $URL

elif type firefox &>/dev/null; then
    firefox $URL

elif type google-chrome &>/dev/null; then
    google-chrome $URL

elif type gio &>/dev/null; then
    gio open $URL

elif type xdg-open &>/dev/null; then
    xdg-open $URL

else
    echo "No default browser found. Please visit "
    echo "$URL"
    echo "for online help"
    exit 2 || return 2 # ENOENT
fi

exit 0 || return 0

#
# End of script
#
